Subject: Fw: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Amber Blais" <[email-masked]>
Date: Tue, 5 Feb 2013 12:15:05 -0500

Please follow up on this for me.
Thank you,
Michael B
LLPS

From: LLPS 
Sent: Tuesday, February 05, 2013 10:37 AM
To: [email-masked] 
Subject: LLPS Contact Us Submission

Name: Myungjung Lee

Company: Won Buddhism of U.S.A.,Inc.

E-mail Address: [email-masked]

Telephone: 518-851-2581

Message: I ordered the Labor Law Poster(2013) on Jan 24, 2013. 
But, still I didn't get it even though the payment($77.25) was done
by my credit card on Jan 25, 2013. 

I am wondering about the reason. 

Please, resolve this.. 

I need it right now.. 

Thank you. 

Request generated on February 5th, 2013 at 10:37 AM EST from the IP address 24.105.233.5